Bug 228600 - dns/ddclient: to track CloudFlare API change (v4), update to the newest revision on GitHub
Summary: dns/ddclient: to track CloudFlare API change (v4), update to the newest revis...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-30 04:24 UTC by Motomichi Matsuzaki
Modified: 2018-07-07 18:58 UTC (History)
2 users (show)

See Also:
mjl: maintainer-feedback+


Attachments
svn diff (4.56 KB, patch)
2018-05-30 04:24 UTC, Motomichi Matsuzaki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Motomichi Matsuzaki 2018-05-30 04:24:21 UTC
Created attachment 193833 [details]
svn diff

Updating to the head revision on the GitHub.

CloudFlare will shutdown the old v1 API on June 4, 2018.
ddclient on the repository already supports the current v4 API,
but there is no newer release since 2015.
Indeed, the upstream said that he should release a new version.

See https://github.com/ddclient/ddclient/pull/42

But I'm afraid of taking considerable amount of days/weeks before that.

Changes:
* obtaining GitHub dhclient/dhclient tag ec2acfb
* bump PORTVERSION to 3.8.3.20180523 (tentatively)
* add new RUN_DEPENDS (net-mgmt/p5-Data-Validate-IP)

This works fine for me to update CloudFlare DNS entries via the v4 API.
Checked by portlint and poudriere (11.1R amd64).
Comment 1 Dries Michiels 2018-07-07 14:51:33 UTC
Does this version include IPv6 support?
Comment 2 Motomichi Matsuzaki 2018-07-07 16:02:16 UTC
(In reply to Dries Michiels from comment #1)

Just FYI, this includes:

Commits on May 23, 2018 
Support IPv6 for CloudFlare
Commits on May 21, 2018 
Support IPv6 for CloudFlare
Commits on Feb 4, 2016
fix nsupdate using wrong type for ipv6 addresses
Commits on Jan 19, 2016
add ipv6 support
Commits on Jan 18, 2016 
add ipv6 support for web option
Comment 3 commit-hook freebsd_committer 2018-07-07 18:55:20 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  7 18:54:32 UTC 2018
New revision: 474118
URL: https://svnweb.freebsd.org/changeset/ports/474118

Log:
  dns/ddclient: Move to newer snapshot

  CloudFlare will shutdown the old v1 API on June 4, 2018.
  ddclient on the repository already supports the current v4 API,
  but there is no newer release since 2015.

  Also includes CloudFlare IPv6 support.

  PR:		228600
  Submitted by:	maintainer

Changes:
  head/dns/ddclient/Makefile
  head/dns/ddclient/distinfo
  head/dns/ddclient/files/patch-ddclient
Comment 4 Tobias Kortkamp freebsd_committer 2018-07-07 18:58:15 UTC
Committed. Thanks!

Please read [1] on how to properly select an intermediary version with 
USE_GITHUB.

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html#makefile-master_sites-github-ex5